%define name	beforelight
%define version	1.0.5
%define release	%mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Sample screen saver
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: libxscrnsaver-devel >= 1.0.1
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: autoconf

%description
The beforelight program is a sample implementation of a screen saver for
X servers supporting the MIT-SCREEN-SAVER extension.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/X11/app-defaults/Beforelight
%{_mandir}/man1/beforelight.*


%changelog
* Tue Jun 02 2020 ghostbunny <ghostbunny at gmx dot de> 1.0.5-1pclos2020
- 1.0.5

* Tue Sep 22 2009 pcserver <pcserver at hush.com>
- update & rebuild
